%global momorel 2
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: KDE front-end to Cscope
Name: kscope
Version: 1.6.1
Release: %{momorel}m%{?dist}
License: BSD
URL: http://kscope.sourceforge.net/
Group: Development/Tools
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Source1: %{name}rc
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: graphviz
Requires: cscope
Requires: ctags
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: bison-devel
BuildPreReq: desktop-file-utils
BuildPreReq: flex
BuildPreReq: gettext
BuildPreReq: libjpeg-devel
BuildPreReq: libpng-devel

%description
KScope is a KDE front-end to Cscope. It provides a source-editing 
environment for large C projects, such as the Linux kernel.

KScope is by no means intended to be a replacement to any of the leading 
Linux/KDE IDEs, such as KDevelop. First of all, it is not an Integrated 
Development Environment: it does not provide the usual write/compile/debug 
cycle supported by most IDE's. Instead, KScope is focused on source 
editing and analysis.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install kscoperc
mkdir -p %{buildroot}%{_datadir}/config
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/config/

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/kscope.png %{buildroot}%{_datadir}/pixmaps/kscope.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  %{buildroot}%{_datadir}/applnk/Development/kscope.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog TODO
%{_bindir}/kscope
%{_datadir}/applications/kde/kscope.desktop
%{_datadir}/apps/kscope
%{_datadir}/config/kscoperc
%{_datadir}/doc/HTML/*/kscope
%{_datadir}/icons/*/*/apps/kscope.png
%{_datadir}/locale/*/LC_MESSAGES/kscope.mo
%{_datadir}/pixmaps/kscope.png

%changelog
* Fri May 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.1-2m)
- add DocPath to desktop file

* Fri May 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.1-1m)
- initial package for Momonga Linux
